<bugID>419612<Summary>pref to not update site-specific zoom for existing background tabs</Summary><Description>Some folks (f.e. bug 386835, comment 9) have suggested that we not update the zoom for existing background tabs when a site-specific setting changes.  Instead, they suggest we only update the zoom when the sites in those tabs change, i.e. when the user browses to a different site in the current tab or opens a new tab to some site.

This seems like a reasonable behavior that some power users might want (f.e. Mozilla developers who want to load one tinderbox page at one zoom level and another one at another level), although I doubt it's the behavior we should expose by default (or even with a visible pref), and it leads to a bunch of tricky questions:

If you browse to a different site and then hit the Back button, should we update the zoom or preserve the previous zoom?

Should we preserve the zoom across sessions (i.e. hook it into the session store)?

Which zoom level is the site-specific one (the last one you picked, some previous selection, some separately-selected value)?

If a page in a background tab reloads itself, do we update the zoom?  What if it redirects the browser to another site with an updated pref?

Overall this seems complicated enough that I'm not sure it can happen for Firefox 3, but I'm reporting it to get it on file.  In the meantime, I have also filed bug 419609 on a hidden pref to disable per-site zoom entirely for users for whom the old behavior is better than the new one.</Description></bugID>